
Redmine - Defect #42051

"Font used for text areas" setting causes inconsistent font size

2024-12-27 05:21 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 6.0.3   

Resolution: Fixed Affected version:  

Description

When you change the "Font used for text areas" setting on the "My account" page to "Monospaced font" or "Proportional font"

instead of "Default font", text areas are rendered with a 12px small font size, which can lead to problems with consistency and

readability.

This issue can be fixed with the attached patch.

Current Appearance:

Default font:

 default-font@2x.png 

Monospaced font:

 monospaced-font@2x.png 

Proportional font:

 proportional-font@2x.png 

Appearance After Fix:

Default font:

 default-font-with-patch@2x.png 

Monospaced font:

 monospaced-font-with-patch@2x.png 

Proportional font:

 proportional-font-with-patch@2x.png 

Related issues:

Related to Redmine - Feature #23653: User preference for monospaced / variabl... Closed

Related to Redmine - Feature #41321: Improve readability by refining font siz... Closed

Associated revisions

Revision 23423 - 2024-12-30 06:50 - Go MAEDA

"Font used for text areas" setting causes inconsistent font size (#42051).

Patch by Go MAEDA (user:maeda).

Revision 23427 - 2024-12-31 03:24 - Go MAEDA

Merged r23423 from trunk to 6.0-stable (#42051).

History

#1 - 2024-12-27 05:21 - Go MAEDA

- Related to Feature #23653: User preference for monospaced / variable-width font in textareas added

#2 - 2024-12-27 06:34 - Go MAEDA

- Related to Feature #41321: Improve readability by refining font sizes and switching to Noto Sans font added
#3 - 2024-12-29 05:55 - Go MAEDA

- Target version changed from Candidate for next minor release to 6.0.3

Setting the target version to 6.0.3.

#4 - 2024-12-30 06:51 - Go MAEDA

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix in r23423.

#5 - 2024-12-31 03:25 - Go MAEDA

- Status changed from Resolved to Closed

Merged the fix into the 6.0-stable branch in r23427.

Files

default-font@2x.png 69.4 KB 2024-12-27 Go MAEDA

monospaced-font@2x.png 63 KB 2024-12-27 Go MAEDA

proportional-font@2x.png 65.3 KB 2024-12-27 Go MAEDA

default-font-with-patch@2x.png 69.4 KB 2024-12-27 Go MAEDA

monospaced-font-with-patch@2x.png 76.3 KB 2024-12-27 Go MAEDA

proportional-font-with-patch@2x.png 79.8 KB 2024-12-27 Go MAEDA

fix-inconsistent-textarea-font-size.patch 1014 Bytes 2024-12-27 Go MAEDA
